all: pom.xml
	~/apache-tomcat-6.0.35_dev/bin/shutdown.sh
	~/apache-tomcat-6.0.35_dev/bin/startup.sh
	mvn  clean install -P dev -e -Ddevelopment_host=LOCALIP -Ddevelopment_port=2080 -Dmaven.test.skip
	mvn  tomcat:deploy -P dev -Ddevelopment_host=LOCALIP -Dmaven.test.skip

uall: pom.xml
	mvn  tomcat:undeploy -P dev
	~/apache-tomcat-6.0.35_dev/bin/shutdown.sh
	~/apache-tomcat-6.0.35_dev/bin/startup.sh
	mvn  clean install -P dev -e -Ddevelopment_host=LOCALIP -Ddevelopment_port=2080 -Dmaven.test.skip 
	mvn  tomcat:deploy -P dev -Ddevelopment_host=LOCALIP -Ddevelopment_port=2080 -Dmaven.test.skip

pall: pom.xml
	sudo /etc/init.d/tomcat6 stop
	sudo /etc/init.d/tomcat6 start
	mvn  clean install -P dev -e -Ddevelopment_host=LOCALIP -Dmaven.test.skip
	mvn  tomcat:deploy -P dev -Dxroduction_host=LOCALIP -Dmaven.test.skip

puall: pom.xml
	mvn  tomcat:undeploy -P prod
	sudo /etc/init.d/tomcat6 stop
	sudo /etc/init.d/tomcat6 start
	mvn  clean install -P prod -e -Dproduction_host=LOCALIP -Dmaven.test.skip 
	mvn  tomcat:deploy -P prod -Dproduction_host=LOCALIP -Dmaven.test.skip

palld: pom.xml
	sudo /etc/init.d/tomcat6_hudson stop
	sudo /etc/init.d/tomcat6_hudson start
	mvn  clean install -P dev -e -Ddevelopment_host=LOCALIP -Ddevelopment_port=2080 -Dmaven.test.skip
	mvn  tomcat:deploy -P dev -Ddevelopment_host=LOCALIP -Ddevelopment_port=2080 -Dmaven.test.skip

pualld: pom.xml
	mvn  tomcat:undeploy -P dev
	sudo /etc/init.d/tomcat6_hudson stop
	sudo /etc/init.d/tomcat6_hudson start
	mvn  clean install -P dev -e -Ddevelopment_host=LOCALIP -Ddevelopment_port=2080 -Dmaven.test.skip 
	mvn  tomcat:deploy -P dev -Ddevelopment_host=LOCALIP -Ddevelopment_port=2080 -Dmaven.test.skip
